# SPDX-FileCopyrightText: 2022 Helmholtz-Zentrum Dresden-Rossendorf (HZDR)
#
# SPDX-License-Identifier: GPL-3.0-or-later

from django.contrib import admin

from .models import (
    Contribution,
    DigitalObject,
    DigitalObjectRelation,
    Group,
    HeliportGroup,
    HeliportUser,
    Image,
    LoginInfo,
    Project,
)

admin.site.register(Group)
admin.site.register(HeliportUser)
admin.site.register(LoginInfo)
admin.site.register(DigitalObject)
admin.site.register(DigitalObjectRelation)
admin.site.register(Contribution)
admin.site.register(HeliportGroup)
admin.site.register(Image)


@admin.register(Project)
class ProjectAdmin(admin.ModelAdmin):
    filter_horizontal = ("co_owners",)
