# SPDX-FileCopyrightText: 2022 Helmholtz-Zentrum Dresden-Rossendorf (HZDR)
#
# SPDX-License-Identifier: GPL-3.0-or-later

from django.core.management.base import BaseCommand

from heliport.core.tasks import import_user_data


class Command(BaseCommand):
    help = "Import users and groups from the authentication backend"

    def handle(self, *args, **options):
        import_user_data.delay()
        self.stdout.write(
            self.style.SUCCESS(f"Task {import_user_data.__name__!r} added to the queue")
        )
