# SPDX-FileCopyrightText: 2022 Helmholtz-Zentrum Dresden-Rossendorf (HZDR)
#
# SPDX-License-Identifier: GPL-3.0-or-later

# Generated by Django 3.2.12 on 2022-03-22 09:52 and then manually edited

from django.db import migrations

from heliport.core.utils import encryption


def encrypt_passwords(apps, schema_editor):
    login_info_model = apps.get_model("core", "LoginInfo")
    for login in login_info_model.objects.all():
        if login.password:
            login.encrypted_password = encryption.encrypt(login.password)
            login.save()


def decrypt_passwords(apps, schema_editor):
    login_info_model = apps.get_model("core", "LoginInfo")
    for login in login_info_model.objects.all():
        if login.encrypted_password:
            login.password = encryption.decrypt(login.encrypted_password)
            login.save()


class Migration(migrations.Migration):
    dependencies = [
        ("core", "0005_logininfo_encrypted_password"),
    ]

    operations = [
        migrations.RunPython(encrypt_passwords, decrypt_passwords),
    ]
