# SPDX-FileCopyrightText: 2022 Helmholtz-Zentrum Dresden-Rossendorf (HZDR)
#
# SPDX-License-Identifier: GPL-3.0-or-later

# Generated by Django 3.2.12 on 2022-03-16 14:12

import django.db.models.deletion
from django.db import migrations, models


class Migration(migrations.Migration):
    dependencies = [
        ("core", "0008_rebuild_group_model"),
    ]

    operations = [
        migrations.AddField(
            model_name="heliportuser",
            name="affiliation",
            field=models.CharField(blank=True, max_length=500),
        ),
        migrations.CreateModel(
            name="Contribution",
            fields=[
                (
                    "contribution_id",
                    models.AutoField(primary_key=True, serialize=False),
                ),
                (
                    "contribution_to",
                    models.ForeignKey(
                        on_delete=django.db.models.deletion.CASCADE,
                        to="core.digitalobject",
                    ),
                ),
                (
                    "contributor",
                    models.ForeignKey(
                        on_delete=django.db.models.deletion.CASCADE,
                        to="core.heliportuser",
                    ),
                ),
            ],
        ),
        migrations.AddConstraint(
            model_name="contribution",
            constraint=models.UniqueConstraint(
                fields=("contributor", "contribution_to"),
                name="unique_digital_object_contribution",
            ),
        ),
    ]
