# SPDX-FileCopyrightText: 2022 Helmholtz-Zentrum Dresden-Rossendorf (HZDR)
#
# SPDX-License-Identifier: GPL-3.0-or-later

# Generated by Django 4.0.6 on 2022-07-05 09:47

import django.db.models.deletion
from django.db import migrations, models


class Migration(migrations.Migration):
    dependencies = [
        ("core", "0016_insert_core_vocabulary"),
    ]

    operations = [
        migrations.AddField(
            model_name="digitalobjectrelation",
            name="is_public",
            field=models.BooleanField(default=False),
        ),
        migrations.AddField(
            model_name="digitalobjectrelation",
            name="special_heliport_role",
            field=models.CharField(blank=True, max_length=15, null=True),
        ),
        migrations.CreateModel(
            name="DigitalObjectAttributes",
            fields=[
                (
                    "digital_object_attribute_id",
                    models.AutoField(primary_key=True, serialize=False),
                ),
                ("value", models.TextField()),
                ("is_public", models.BooleanField(default=False)),
                (
                    "special_heliport_role",
                    models.CharField(blank=True, max_length=15, null=True),
                ),
                (
                    "predicate",
                    models.ForeignKey(
                        on_delete=django.db.models.deletion.CASCADE,
                        related_name="predicate_attributes",
                        to="core.digitalobject",
                    ),
                ),
                (
                    "subject",
                    models.ForeignKey(
                        on_delete=django.db.models.deletion.CASCADE,
                        related_name="attributes",
                        to="core.digitalobject",
                    ),
                ),
            ],
        ),
        migrations.AddConstraint(
            model_name="digitalobjectattributes",
            constraint=models.UniqueConstraint(
                condition=models.Q(("special_heliport_role__isnull", False)),
                fields=("subject", "predicate", "special_heliport_role"),
                name="unique_special_attributes_per_subject",
            ),
        ),
    ]
