# SPDX-FileCopyrightText: 2022 Helmholtz-Zentrum Dresden-Rossendorf (HZDR)
#
# SPDX-License-Identifier: GPL-3.0-or-later

from django.conf import settings

from .user_information_managers import (
    BasicUserInformationManager,
    LdapUserInformationManager,
)

possible_backends = {
    "basic": BasicUserInformationManager,
}

if settings.LDAP_ENABLED:
    assert LdapUserInformationManager is not None, "LDAP support is not installed"
    possible_backends["ldap"] = LdapUserInformationManager

AuthenticationBackendManager = possible_backends[settings.AUTHENTICATION_BACKEND_USED]
