# SPDX-FileCopyrightText: 2022 Helmholtz-Zentrum Dresden-Rossendorf (HZDR)
#
# SPDX-License-Identifier: GPL-3.0-or-later

from django.apps import AppConfig

from heliport.core.digital_object_actions import actions


class DataSourceConfig(AppConfig):
    name = "heliport.data_source"

    def ready(self):
        from .views import DownloadFile, OpenDirectory

        actions.register(OpenDirectory)
        actions.register(DownloadFile)
