# SPDX-FileCopyrightText: 2022 Helmholtz-Zentrum Dresden-Rossendorf (HZDR)
#
# SPDX-License-Identifier: GPL-3.0-or-later

# Generated by Django 3.2.13 on 2022-04-13 14:51

import django.db.models.deletion
from django.db import migrations, models


class Migration(migrations.Migration):
    initial = True

    dependencies = [
        ("core", "0013_timelineconfiguration"),
    ]

    operations = [
        migrations.CreateModel(
            name="ObjectGraph",
            fields=[
                (
                    "digitalobject_ptr",
                    models.OneToOneField(
                        auto_created=True,
                        on_delete=django.db.models.deletion.CASCADE,
                        parent_link=True,
                        to="core.digitalobject",
                    ),
                ),
                (
                    "object_graph_id",
                    models.AutoField(primary_key=True, serialize=False),
                ),
            ],
            bases=("core.digitalobject",),
        ),
        migrations.CreateModel(
            name="PropertyPath",
            fields=[
                (
                    "property_path_id",
                    models.AutoField(primary_key=True, serialize=False),
                ),
                ("property_in_reverse", models.BooleanField(default=False)),
                (
                    "property",
                    models.ForeignKey(
                        on_delete=django.db.models.deletion.CASCADE,
                        to="core.digitalobject",
                    ),
                ),
                (
                    "tail",
                    models.ForeignKey(
                        null=True,
                        on_delete=django.db.models.deletion.SET_NULL,
                        to="digital_objects.propertypath",
                    ),
                ),
            ],
        ),
        migrations.CreateModel(
            name="VisualizationEdge",
            fields=[
                ("edge_id", models.AutoField(primary_key=True, serialize=False)),
                ("hex_color", models.CharField(max_length=8)),
                ("dashed", models.BooleanField(default=False)),
                (
                    "path",
                    models.ForeignKey(
                        null=True,
                        on_delete=django.db.models.deletion.SET_NULL,
                        to="digital_objects.propertypath",
                    ),
                ),
                (
                    "visualization",
                    models.ForeignKey(
                        on_delete=django.db.models.deletion.CASCADE,
                        to="digital_objects.objectgraph",
                    ),
                ),
            ],
        ),
    ]
