# SPDX-FileCopyrightText: 2022 Helmholtz-Zentrum Dresden-Rossendorf
#
# SPDX-License-Identifier: GPL-3.0-or-later

import environ
from appconf import AppConf

env = environ.Env()


class GateConnectionAppConf(AppConf):
    """Settings of the :mod:`heliport.gate_connection` app.

    All settings in this class can be overwritten in settings.py
    """

    USER = env.str("HELIPORT_GATE_USER")
    PASS = env.str("HELIPORT_GATE_PASS")

    class Meta:
        prefix = "HELIPORT_GATE"
