# SPDX-FileCopyrightText: 2022 Helmholtz-Zentrum Dresden-Rossendorf (HZDR)
#
# SPDX-License-Identifier: GPL-3.0-or-later

from django.core.management.base import BaseCommand

from heliport.gate_connection.tasks import update_gate_projects


class Command(BaseCommand):
    help = "Update GATE projects"

    def handle(self, *args, **options):
        update_gate_projects.delay()
        self.stdout.write(
            self.style.SUCCESS(
                f"Task {update_gate_projects.__name__!r} added to the queue"
            )
        )
