# SPDX-FileCopyrightText: 2022 Helmholtz-Zentrum Dresden-Rossendorf (HZDR)
#
# SPDX-License-Identifier: GPL-3.0-or-later

from rest_framework import serializers

from .models import GateProject, GateUser


class GateProjectSerializer(serializers.ModelSerializer):
    class Meta:
        model = GateProject
        fields = [
            "gate_id",
            "label",
            "status",
            "owner",
            "co_owners",
            "description",
            "proposal",
            "restricted",
            "responsible_experimentalist",
            "local_contacts",
            "projects",
            "experimentalists",
        ]


class GateUserSerializer(serializers.ModelSerializer):
    class Meta:
        model = GateUser
        fields = ["gate_user_id", "gate_id", "heliport_user"]
