# SPDX-FileCopyrightText: 2022 Helmholtz-Zentrum Dresden-Rossendorf (HZDR)
#
# SPDX-License-Identifier: GPL-3.0-or-later

from django.db import models

from heliport.core.models import DigitalObject, MetadataField, Vocabulary
from heliport.core.utils.normalization import url_normalizer


class Publication(DigitalObject):
    publication_id = models.AutoField(primary_key=True)
    link = MetadataField(Vocabulary.primary_topic, url_normalizer)
