# SPDX-FileCopyrightText: 2023 Helmholtz-Zentrum Dresden-Rossendorf (HZDR)
#
# SPDX-License-Identifier: GPL-3.0-or-later

from django.apps import AppConfig

from heliport.core.digital_object_resolution import object_types


class SmbFilesConfig(AppConfig):
    """The SMB APP"""

    default_auto_field = "django.db.models.BigAutoField"
    name = "heliport.smb_files"

    def ready(self):
        """register types for resolving them"""
        from .models import SMBDirectoryObj, SMBFileObj

        object_types.register(SMBFileObj)
        object_types.register(SMBDirectoryObj)
