# SPDX-FileCopyrightText: 2023 Helmholtz-Zentrum Dresden-Rossendorf (HZDR)
#
# SPDX-License-Identifier: GPL-3.0-or-later

# Generated by Django 4.1.6 on 2023-03-08 16:21

import django.db.models.deletion
from django.db import migrations, models

import heliport.core.digital_object_aspects


class Migration(migrations.Migration):
    initial = True

    dependencies = [
        ("core", "0021_digitalobject_is_helper"),
    ]

    operations = [
        migrations.CreateModel(
            name="DBSMBFile",
            fields=[
                (
                    "digitalobject_ptr",
                    models.OneToOneField(
                        auto_created=True,
                        on_delete=django.db.models.deletion.CASCADE,
                        parent_link=True,
                        to="core.digitalobject",
                    ),
                ),
                ("path_str", models.TextField()),
                ("share_name", models.TextField()),
                ("server_name", models.TextField()),
                ("server_address", models.TextField()),
                ("file_id", models.AutoField(primary_key=True, serialize=False)),
                (
                    "login",
                    models.ForeignKey(
                        null=True,
                        on_delete=django.db.models.deletion.SET_NULL,
                        to="core.logininfo",
                    ),
                ),
            ],
            options={
                "abstract": False,
            },
            bases=(
                "core.digitalobject",
                models.Model,
                heliport.core.digital_object_aspects.FileObj,
            ),
        ),
        migrations.CreateModel(
            name="DBSMBDirectory",
            fields=[
                (
                    "digitalobject_ptr",
                    models.OneToOneField(
                        auto_created=True,
                        on_delete=django.db.models.deletion.CASCADE,
                        parent_link=True,
                        to="core.digitalobject",
                    ),
                ),
                ("path_str", models.TextField()),
                ("share_name", models.TextField()),
                ("server_name", models.TextField()),
                ("server_address", models.TextField()),
                ("directory_id", models.AutoField(primary_key=True, serialize=False)),
                (
                    "login",
                    models.ForeignKey(
                        null=True,
                        on_delete=django.db.models.deletion.SET_NULL,
                        to="core.logininfo",
                    ),
                ),
            ],
            options={
                "abstract": False,
            },
            bases=(
                "core.digitalobject",
                models.Model,
                heliport.core.digital_object_aspects.DirectoryObj,
            ),
        ),
    ]
