# SPDX-FileCopyrightText: 2023 Helmholtz-Zentrum Dresden-Rossendorf (HZDR)
#
# SPDX-License-Identifier: GPL-3.0-or-later
from rest_framework import serializers

from heliport.smb_files.models import DBSMBDirectory, DBSMBFile


class DirectorySerializer(serializers.ModelSerializer):
    """serialize an SMB directory"""

    class Meta:
        """describe what should be serialized"""

        model = DBSMBDirectory
        fields = [
            "directory_id",
            "digital_object_id",
            "label",
            "description",
            "projects",
            "persistent_id",
            "path_str",
            "share_name",
            "server_name",
            "domain",
            "login",
        ]


class FileSerializer(serializers.ModelSerializer):
    """serialize an SMB file"""

    class Meta:
        """describe what should be serialized"""

        model = DBSMBFile
        fields = [
            "file_id",
            "digital_object_id",
            "label",
            "description",
            "projects",
            "persistent_id",
            "path_str",
            "share_name",
            "server_name",
            "domain",
            "login",
        ]
