# SPDX-FileCopyrightText: 2023 Helmholtz-Zentrum Dresden-Rossendorf (HZDR)
#
# SPDX-License-Identifier: GPL-3.0-or-later

from django.apps import AppConfig

from heliport.core.digital_object_actions import actions
from heliport.core.digital_object_resolution import object_types


class SshConfig(AppConfig):
    name = "heliport.ssh"

    def ready(self):
        from .models import SSHDirectoryObj, SSHFileObj
        from .views import MigrateSSHDatasource

        object_types.register(SSHFileObj)
        object_types.register(SSHDirectoryObj)
        actions.register(MigrateSSHDatasource)
