# SPDX-FileCopyrightText: 2023 Helmholtz-Zentrum Dresden-Rossendorf (HZDR)
#
# SPDX-License-Identifier: GPL-3.0-or-later

from rest_framework import serializers

from .models import DBSSHDirectory, DBSSHFile


class FileSerializer(serializers.ModelSerializer):
    """Django rest framework serializer for SSH files"""

    class Meta:
        """Description of the serializer"""

        model = DBSSHFile
        fields = [
            "file_id",
            "path_str",
            "description",
            "label",
            "login",
            "projects",
            "persistent_id",
        ]


class DirectorySerializer(serializers.ModelSerializer):
    """Django rest framework serializer for SSH directories"""

    class Meta:
        """Description of the serializer"""

        model = DBSSHDirectory
        fields = [
            "directory_id",
            "path_str",
            "description",
            "label",
            "login",
            "projects",
            "persistent_id",
        ]
