# SPDX-FileCopyrightText: 2022 Helmholtz-Zentrum Dresden-Rossendorf (HZDR)
#
# SPDX-License-Identifier: GPL-3.0-or-later

from django.urls import reverse

from heliport.core.app_interaction import Module


class Tables(Module):
    name = "Tables"
    module_id = "tables"

    def get_url(self, project):
        return reverse("tables:list", kwargs={"project": project.pk})

    def is_configured(self, project):
        from .models import Table

        return Table.objects.filter(projects=project)
