# SPDX-FileCopyrightText: 2022 Helmholtz-Zentrum Dresden-Rossendorf (HZDR)
#
# SPDX-License-Identifier: GPL-3.0-or-later

# Generated by Django 3.2.12 on 2022-03-10 18:49

import django.db.models.deletion
from django.db import migrations, models


class Migration(migrations.Migration):
    initial = True

    dependencies = [
        ("core", "0002_auto_20220224_1552"),
    ]

    operations = [
        migrations.CreateModel(
            name="Table",
            fields=[
                (
                    "digitalobject_ptr",
                    models.OneToOneField(
                        auto_created=True,
                        on_delete=django.db.models.deletion.CASCADE,
                        parent_link=True,
                        to="core.digitalobject",
                    ),
                ),
                ("table_id", models.AutoField(primary_key=True, serialize=False)),
            ],
            bases=("core.digitalobject",),
        ),
        migrations.CreateModel(
            name="TableRow",
            fields=[
                ("row_id", models.AutoField(primary_key=True, serialize=False)),
                ("creation_date", models.DateTimeField(auto_now_add=True)),
                (
                    "parent_table",
                    models.ForeignKey(
                        on_delete=django.db.models.deletion.CASCADE, to="tables.table"
                    ),
                ),
            ],
        ),
        migrations.CreateModel(
            name="TableColumn",
            fields=[
                ("column_id", models.AutoField(primary_key=True, serialize=False)),
                ("label", models.TextField(blank=True)),
                ("index", models.IntegerField()),
                (
                    "column_type",
                    models.IntegerField(
                        choices=[(1, "Text"), (2, "Timestamp"), (3, "Image")], default=1
                    ),
                ),
                (
                    "parent_table",
                    models.ForeignKey(
                        on_delete=django.db.models.deletion.CASCADE, to="tables.table"
                    ),
                ),
            ],
        ),
        migrations.CreateModel(
            name="TableCell",
            fields=[
                ("cell_id", models.AutoField(primary_key=True, serialize=False)),
                ("contents", models.TextField(blank=True)),
                ("last_update", models.DateTimeField(auto_now=True)),
                (
                    "column",
                    models.ForeignKey(
                        on_delete=django.db.models.deletion.CASCADE,
                        to="tables.tablecolumn",
                    ),
                ),
                (
                    "row",
                    models.ForeignKey(
                        on_delete=django.db.models.deletion.CASCADE,
                        to="tables.tablerow",
                    ),
                ),
            ],
        ),
    ]
