# SPDX-FileCopyrightText: 2022 Helmholtz-Zentrum Dresden-Rossendorf (HZDR)
#
# SPDX-License-Identifier: GPL-3.0-or-later

from django.apps import AppConfig

from heliport.core.digital_object_resolution import object_types


class UnicoreConfig(AppConfig):
    default_auto_field = "django.db.models.BigAutoField"
    name = "heliport.unicore"

    def ready(self):
        from .conf import UnicoreAppConf
        from .models import UnicorePathDirObj, UnicorePathFileObj

        assert UnicoreAppConf

        object_types.register(UnicorePathFileObj)
        object_types.register(UnicorePathDirObj)
