# SPDX-FileCopyrightText: 2022 Helmholtz-Zentrum Dresden-Rossendorf (HZDR)
#
# SPDX-License-Identifier: GPL-3.0-or-later

from django.urls import reverse

from heliport.core.app_interaction import Module


class UnicoreJobs(Module):
    name = "UNICORE Jobs"
    module_id = "unicore_jobs"

    def get_url(self, project):
        return reverse("unicore:jobs", kwargs={"project": project.pk})

    def is_configured(self, project):
        from .models import DBJob

        return DBJob.objects.filter(projects=project, deleted__isnull=True).exists()


class UnicoreStorages(Module):
    name = "UNICORE Storages"
    module_id = "unicore_storages"

    def get_url(self, project):
        return reverse("unicore:storage-list", kwargs={"project": project.pk})

    def is_configured(self, project):
        from .models import DBPathDir

        return DBPathDir.objects.filter(projects=project, deleted__isnull=True).exists()
