# SPDX-FileCopyrightText: 2023 Helmholtz-Zentrum Dresden-Rossendorf
#
# SPDX-License-Identifier: GPL-3.0-or-later

# Generated by Django 4.1.4 on 2023-02-06 17:54

import django.db.models.deletion
from django.db import migrations, models

import heliport.core.digital_object_aspects


class Migration(migrations.Migration):
    dependencies = [
        ("core", "0020_namedtoken"),
        ("unicore", "0003_dbjob_dbstoragepath_delete_unicoreresource"),
    ]

    operations = [
        migrations.CreateModel(
            name="DBPathDir",
            fields=[
                (
                    "digitalobject_ptr",
                    models.OneToOneField(
                        auto_created=True,
                        on_delete=django.db.models.deletion.CASCADE,
                        parent_link=True,
                        to="core.digitalobject",
                    ),
                ),
                (
                    "unicore_resource_id",
                    models.AutoField(primary_key=True, serialize=False),
                ),
                ("resource_url", models.TextField()),
                ("path", models.TextField(blank=True, default="")),
            ],
            options={
                "abstract": False,
            },
            bases=(
                "core.digitalobject",
                models.Model,
                heliport.core.digital_object_aspects.FileObj,
            ),
        ),
        migrations.CreateModel(
            name="DBPathFile",
            fields=[
                (
                    "digitalobject_ptr",
                    models.OneToOneField(
                        auto_created=True,
                        on_delete=django.db.models.deletion.CASCADE,
                        parent_link=True,
                        to="core.digitalobject",
                    ),
                ),
                (
                    "unicore_resource_id",
                    models.AutoField(primary_key=True, serialize=False),
                ),
                ("resource_url", models.TextField()),
                ("path", models.TextField(blank=True, default="")),
            ],
            options={
                "abstract": False,
            },
            bases=(
                "core.digitalobject",
                models.Model,
                heliport.core.digital_object_aspects.DirectoryObj,
            ),
        ),
        migrations.DeleteModel(
            name="DBStoragePath",
        ),
    ]
