# SPDX-FileCopyrightText: 2022 Helmholtz-Zentrum Dresden-Rossendorf (HZDR)
#
# SPDX-License-Identifier: GPL-3.0-or-later

from django.urls import path, re_path

from .views import (
    CallbackView,
    JobActionView,
    JobDetailView,
    JobsView,
    StorageView,
    TestJobView,
)

app_name = "unicore"
urlpatterns = [
    path("project/<int:project>/jobs/", JobsView.as_view(), name="jobs"),
    path(
        "project/<int:project>/job/<int:job>/",
        JobDetailView.as_view(),
        name="job-detail",
    ),
    path("project/<int:project>/storages/", StorageView.as_view(), name="storage-list"),
    path("job/<str:job_id>/<str:action>/", JobActionView.as_view(), name="job-action"),
    re_path("notify/?", CallbackView.as_view(), name="callback"),
    path("test-job/", TestJobView.as_view(), name="test-job"),
]
