# SPDX-FileCopyrightText: 2022 Helmholtz-Zentrum Dresden-Rossendorf (HZDR)
#
# SPDX-License-Identifier: GPL-3.0-or-later

from django.apps import AppConfig

from heliport.core.digital_object_resolution import object_types


class VersionControlConfig(AppConfig):
    """
    App configuration for the main HELIPORT app. This is part of Django's plugin system
    """

    name = "heliport.version_control"

    def ready(self):
        """register object types and import settings"""
        from .conf import VersionControlAppConf
        from .models import VersionControlFileObj, VersionControlObj

        assert VersionControlAppConf
        object_types.register(VersionControlObj)
        object_types.register(VersionControlFileObj)
